pip search finds tensorflow, but pip install does not

I am trying to build a Django app that would use Keras models to make recommendations. Right now I'm trying to use one custom container that would hold both Django and Keras. Here's the Dockerfile...

Tensorflow command tf.test.is_gpu_available() returns False

What am I missing to get tf.test.is_gpu_available() to return True? Is there some kind of configuration file that needs updating? I am using Python 3.7.{1,2} after: pip install --user...

Tensorflow 2.0 alpha. Problem keras not found

It is my first post, hope formating code function, when not, sorry! I made first steps with tensorflow for around 5 weeks. Now I want to try out tensorflow 2.0. I know I can work with 1.13. But...

Import tensorflow failed with Error no attribute 'HIDDEN_ATTRIBUTE'

Import failing with following error : C:\Users\bhush>py -3.6-64 Python 3.6.6 (v3.6.6:4cf1f54eb7, Jun 27 2018, 03:37:03) [MSC v.1900 64 bit (AMD64)] on win32 Type "help", "copyright", "credits" or...

Check and run correct Tensorflow Version (v2.0)

i was using the previous version of tensorflow, but i wanna use tensorflow 2.0.0 alpha and i've installed it with pip using pip install tensorflow==2.0.0-alpha0 than i run the simple code to...

Creating new Tensorflow Devices multiple times

I'm trying to run tensorflow-deeplab-v3 model on a server to segmentate images that I send. Everything works fine but the problem is every time I send an image the model looks for GPU and creates...

tf.keras.estimator.model_to_estimator with Tf.Hub failure

I need to convert model to process B64 images instead of JSON I'm using tf.keras.estimator.model_to_estimator tf-nightly version: Version: 1.15.0-dev20190714 Eager mode: True Hub version: ...

tf.keras.optimizers.Adam with tf.estimator model in Tensorflow 2.0.beta is crashing

I am using Tensorflow 2.0.beta with Python 3.6.6 on Mac OS (nightly: tf-nightly-2.0-preview 2.0.0.dev20190721 but I never managed to have it working with compat module in Tensorflow 2.0). I am...

How to fix 'AttributeError' on using PyInstaller on a project with Tensorflow and Keras?

The --onefile exe PyInstaller outputs crashes upon startup. The error is: AttributeError: module 'tensorflow' has no attribute 'keras' [11288] Failed to execute script main Note that the main.py...

Impossible to import tensorflow with spyder anaconda

I am trying to import tensorflow without success. The installation of each packages is done with Anaconda Navigator or in the Anaconda prompt command with conda install *package* in the right env...

No module named tensorflow while i installed it with pip

I'm new to Tensorflow and machine learning. I'm following some tutorials on my PC, and everything worked just fine so far, importation and test with python are OK. I tried to test my code on my...

After upgrading to tensorflow 2.0, I get the error to import tensorflow

I have installed tensorflow via anaconda about year ago. Now I upgrade tensorflow to tensorflow 2.0.0-beta1 with this lines in cmd: conda update --all pip install --upgrade...

Missing tkinter package on ubuntu 18.04

This python script has a problem with tkinter but I don't know how to fix it as tkinter is installed, searched on the web but didn't find anything useful [email protected]:~$ python3 predict.py...

ERROR: You must give at least one requirement to install -- when running: pip install --upgrade --no-binary hdbscan

I am trying to install hdbscan in my PC which runs Windows 10 and has installed Python 3.6. My first attempt failed: (base) C:\WINDOWS\system32>pip install hdbscan --user Collecting hdbscan ...

Tensorflow-gpu and Textgenrnn version incompatibility on Windows 10: ModuleNotFoundError: No module named 'tensorflow.contrib'

No matter what I do I cannot seem to get TensorFlow-gpu to work nicely with textgenrnn. The Tensorflow-gpu test is saying everything is running properly Currently, I am getting the...

Tensorflow 2.0 not installing on pipenv with Heroku

I have the pipenv lock working for django with tf, but it won't proceed to install on the heroku server. An error occurred while installing tensorflow==2.0.0! Will try again. I'm wishing the...

Uninstall all Python packages in Ubuntu 18.04 having multiple python versions

When I type python and hit tab the following packages are shown python python3 python3.6m python3m python2 python3.6 python3.6m-config ...

Error creating universal sentence encoder embeddings using beam & tf transform

I have a simple beam pipline that takes some text and gets embeddings using universal sentence encoder with tf transform. Very similar to the demo made using tf 1. import tensorflow as tf import...

Issues Installing Tensorflow Probability

Error When I attempt to import Tensorflow probability: --------------------------------------------------------------------------- ModuleNotFoundError Traceback (most recent...

Segmentation fault (core dumped) on training the deep neural network /torch/cuda/__init__.py", line 172 in _lazy_init

python3 -q -X faulthandler test.py --model.backbone=resnet18 2021-02-07 20:14:21.198583: I tensorflow/stream_executor/platform/default/dso_loader.cc:49] Successfully opened dynamic library...

Sudden Tensorflow / Keras Google Colab dependency problems `AttributeError: module 'tensorflow._api.v1.compat.v2' has no attribute '__internal__'`

I have running a machine learning model (Matterport's Mask R-CNN) in google colab for a couple of weeks. All of a sudden today I am unable to run any of my notebooks due to I think some kind of...

ImportError: Could not find the DLL(s) 'msvcp140.dll or msvcp140_1.dll'. Even when the files are located in the %PATH% directory

I receive the following error when importing tensorflow (base) PS C:\Users\Rostyslav\GIt\GNN-GCP> python run_model.py --train --save Traceback (most recent call last): File "run_model.py", line...